import { expect, tap } from '@pushrocks/tapbundle';
import * as smartmatch from '../ts/index';

tap.test('first test', async () => {
  const smartMatchInstance = new smartmatch.SmartMatch('*.any');
  const isAMatch = smartMatchInstance.match('wow.any');
  const isNotAMatch = smartMatchInstance.match('wow.not');

  expect(isAMatch).to.be.true;
  expect(isNotAMatch).to.be.false;
});

tap.start();
